<template>
  <div class="main-wrapper f-wrapper f-column justify-center f-child">
    <h1 class="name"><span id="first-name-letter">G</span>i<span id="firts-name-last-letters">sel</span> Marie <span id="first-last-name">Pad</span>ron Leon</h1>
    <h2 class="job">Desingner / Front-end Developer / Community Manager</h2>
  </div>
</template>

<script>
export default {}
</script>

<style>
.name {
  font-size: 3rem;
}
.job {
  font-size: 2rem;
}
#first-name-letter {
  color: aliceblue;
}
#first-name-letter::before {
  content: '';
  background: #000;
  padding: 1;
  padding: 1rem;
  height: 3rem;
  width: 2.5rem;
  position: absolute;
  z-index: -1;
}
#first-name-letter::after {
  content: '';
  padding: 1rem;
  position: absolute;
  width: 7rem;
  background: #ffffff;
  z-index: -2;
  margin: 0rem 0.8rem;
}

#firts-name-last-letters {
  color: #000;
}
#firts-name-last-letters::before {
  content: '';
  position: absolute;
  background: #ffdd2e;
  z-index: -1;
  margin: -2rem 3rem;
  width: 1rem;
  height: 8rem;
  border-top-left-radius: 100%;
  border-bottom-right-radius: 100%;
  transform: rotate(50deg);
  transition-duration: 0.5s;
}
#firts-name-last-letters:hover:before {
  transform: rotate(30deg);
}
#firts-name-last-letters::after {
  content: '';
  padding: 1rem;
  position: absolute;
  height: 1rem;
  width: 1rem;
  background: coral;
  margin: -2rem;
  border-radius: 50%;
  transition-duration: 0.5s;
}
#firts-name-last-letters:hover:after {
  margin: -5rem 0rem;
}

#first-last-name {
  font-weight: 900;
}
#first-last-name::before {
  content: '';
  padding: 1rem;
  background-color: blanchedalmond;
  position: absolute;
  z-index: -1;
  width: 5rem;
}
#first-last-name::after {
  content: '';
  padding: 1.1rem;
  background-color: cornsilk;
  position: absolute;
  z-index: -1;
  height: 3rem;
}
</style>
